package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="MapPengkajianKebutuhanDasar_T")
public class MapPengkajianKebutuhanDasar extends BaseTransaction{

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "PengkajianKebutuhanDasar")
	@JoinColumn(name = "ObjectPengkajianKebutuhanDasarFk")
	private PengkajianKebutuhanDasar pengkajianKebutuhanDasar;	
	
	@Column(name = "ObjectPengkajianKebutuhanDasarFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false)
	private String pengkajianKebutuhanDasarId;
	
	@Caption(value = "Kebutuhan Dasar")
	@Column(name="Name", length=50, nullable=true)
	private String name;
	
	@Caption(value = "Status")
	@Column(name="Status", length=50, nullable=true)
	private String status;
	
	@Caption(value = "Keterangan")
	@Column(name="Keterangan", length=100, nullable=true)
	private String keterangan;

	public PengkajianKebutuhanDasar getPengkajianKebutuhanDasar() {
		return pengkajianKebutuhanDasar;
	}

	public void setPengkajianKebutuhanDasar(PengkajianKebutuhanDasar pengkajianKebutuhanDasar) {
		this.pengkajianKebutuhanDasar = pengkajianKebutuhanDasar;
	}

	public String getPengkajianKebutuhanDasarId() {
		return pengkajianKebutuhanDasarId;
	}

	public void setPengkajianKebutuhanDasarId(String pengkajianKebutuhanDasarId) {
		this.pengkajianKebutuhanDasarId = pengkajianKebutuhanDasarId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
}
